local L = LibStub("AceLocale-3.0"):GetLocale("Deadpool", true)

StaticPopupDialogs["NOT_ENOUGH_CREDITS"] = {
	text = L["NOT_ENOUGH_CREDITS"],
	button1 = ACCEPT,
	button2 = CANCEL,
	OnAccept = function (self, data)
		local enoughItems, newCredits = Deadpool_dropAnItem(data["char"], data["howManyGarment"])
		if enoughItems then
			saveDeadpoolBets(data["session"], data["char"], data["betChar"], data["nextDeathBet"], data["afterTransactionCredits"] + newCredits)
		end
	end,
	timeout = 0,
	whileDead = true,
	hideOnEscape = true,
	preferredIndex = 3,  -- avoid some UI taint, see http://www.wowace.com/announcements/how-to-avoid-some-ui-taint/
}

deadpoolUndressingOrder = {
	[1] = 1, -- Head
	[2] = 15, -- Back
	[3] = 6, -- Waist
	[4] = 3, -- Shoulder
	[5] = 8, -- Feet
	[6] = 10, -- Hand
	[7] = 9, -- Wrist
	[8] = 5, -- Chest
	[9] = 7, -- Legs
}

deadpoolChipTextureString = "|TInterface\\AddOns\\Deadpool\\art\\chip:16:16:0:0|t"
